package foo.bar;
import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;

import foo.bar.other.AnotherFooBar;
public class TestRemoteClientA
  {
      public static void main(String ar[]) throws Exception 
       {
          Context context=null;
       try
         {
                Properties props = new Properties();
                props.put(Context.INITIAL_CONTEXT_FACTORY, "org.jboss.naming.remote.client.InitialContextFactory");
                props.put(Context.PROVIDER_URL, "remote://localhost:4447"); 
                props.put(Context.SECURITY_PRINCIPAL, "financeiro");
                props.put(Context.SECURITY_CREDENTIALS, "senha");
                context = new InitialContext(props);	
	        System.out.println("\n\tGot initial Context: "+context);		
         }
       catch (Exception e)
         {
                e.printStackTrace();
          }

         // Lookup Format will be 
         // <app-name>/<module-name>/<distinct-name>/<bean-name>!<fully-qualified-classname-of-the-remote-interface>
   
         //CallerRemote remote=(CallerRemote)context.lookup("TestRemoteEJBEAR/remoteEJB//CallerBean!remote.CallerRemote");
         CallerRemoteHome home=(CallerRemoteHome)context.lookup("foo-ejb-ear-0.1/foo-ejb-impl-0.1//CallerBean!foo.bar.CallerRemoteHome");
         CallerRemote remote = home.create(new AnotherFooBar("aaa"));
         System.out.println("\n\t remote.testMethod(\"MiddlewareMagic\") = "+remote.testMethod("MiddlewareMagic"));
	remote.remover();
       }
  }
